[arch-commits] Commit in libx11/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jun 7 09:27:08 EDT 2010


    Date: Monday, June 7, 2010 @ 09:27:07
  Author: jgc
Revision: 81970

upgpkg: libx11 1.3.4-1
Update to 1.3.4, add make check

Modified:
  libx11/trunk/PKGBUILD

----------+
 PKGBUILD |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-07 12:51:10 UTC (rev 81969)
+++ PKGBUILD	2010-06-07 13:27:07 UTC (rev 81970)
@@ -2,18 +2,18 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libx11
-pkgver=1.3.3
+pkgver=1.3.4
 pkgrel=1
 pkgdesc="X11 client-side library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
-depends=('libxcb>=1.5' 'kbproto>=1.0.4')
-makedepends=('xproto>=7.0.16' 'xextproto>=7.1.1' 'xf86bigfontproto>=1.2.0' 'xtrans>=1.2.5' 'inputproto>=2.0' 'xorg-util-macros>=1.4.1')
+depends=('libxcb>=1.6' 'kbproto>=1.0.4')
+makedepends=('xproto>=7.0.17' 'xextproto>=7.1.1' 'xf86bigfontproto>=1.2.0' 'xtrans>=1.2.5' 'inputproto>=2.0' 'xorg-util-macros>=1.8.0')
 options=('!libtool')
 license=('custom:XFREE86')
 source=(${url}/releases/individual/lib/libX11-${pkgver}.tar.bz2
         xorg.sh)
-sha1sums=('2a19724ccf78b5bb5a8eba9159d2b95e640e7b11'
+sha1sums=('5aab6dc8ed5ec0e86419626715efc3edd34d1db4'
           'b59214fe7d1d213f86b074a677eb624e52142ad7')
 
 build() {
@@ -21,6 +21,7 @@
   ./configure --prefix=/usr \
       --with-xcb --disable-static || return 1
   make || return 1
+  make check || return 1
   make DESTDIR="${pkgdir}" install || return 1
 
   install -m755 -d "${pkgdir}/etc/profile.d"



More information about the arch-commits mailing list